/* @(#)window_state.h	1.7 94/04/11  */

#ifndef WINDOW_H
#define WINDOW_H

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/extensions/XShm.h>
#include <xil/xil.h>

typedef struct {
    int screen;
    int x, y;
    int w, h;
    int display_depth;
    Display *xdisplay;
    Window xwindow;
    float scale[3], offset[3];
    XilImage image, display, imageYCC;
    XilDitherMask mask;
    XilLookup cmap;
    XilSystemState state;
} WindowState;

extern WindowState *initialize_window(Parameters * param, XilSystemState state);
extern void display(WindowState * wstate, XilCis cis);
extern void resize(WindowState * wstate, int w, int h);
extern void close_window(WindowState * wstate);

#endif				/* WINDOW_H */
